org.apache.cxf.headers

## Class Header

- java.lang.Object
- - org.apache.cxf.headers.Header

-     public class Header
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Header.Direction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HEADER_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Header(QName q, Object o)`
    `Header(QName q, Object o, DataBinding b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataBinding` | `getDataBinding()`
    `Header.Direction` | `getDirection()`
    `QName` | `getName()`
    `Object` | `getObject()`
    `void` | `setDataBinding(DataBinding dataBinding)`
    `void` | `setDirection(Header.Direction hdrDirection)`
    `void` | `setName(QName name)`
    `void` | `setObject(Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_LIST

          public static final String HEADER_LIST

  - ### Constructor Detail

    - #### Header

          public Header(QName q,
                        Object o)

    - #### Header

          public Header(QName q,
                        Object o,
                        DataBinding b)

  - ### Method Detail

    - #### getDataBinding

          public DataBinding getDataBinding()

    - #### setDataBinding

          public void setDataBinding(DataBinding dataBinding)

    - #### getName

          public QName getName()

    - #### setName

          public void setName(QName name)

    - #### getObject

          public Object getObject()

    - #### setObject

          public void setObject(Object object)

    - #### setDirection

          public void setDirection(Header.Direction hdrDirection)

    - #### getDirection

          public Header.Direction getDirection()

Apache CXF